This resource tracks financial accounts and transactions for patients, including billing information, financial responsibility, and account status. Each account entry contains details about charges, coverage, and the responsible party.
You can review or retrieve account information with FHIR® passthrough.
_search
Query for account information for a patient.
cURL request example
Request Body Schema
- patientArray of string
The entity that caused the expenses (the patient).
- patient.identifierArray of string
One or more external identifiers for the patient
- identifierArray of string
Account number
- statusArray of string
active | inactive | entered-in-error | on-hold | unknown
- typeArray of string
E.g. patient, expense, depreciation
- ownerArray of string
Entity managing the Account
- resourceTyperequired, string
Identifies the type of the resource
Value:Bundle - typerequired, string
Identifies this bundle as a response to a search
Value:searchset - totalrequired, number
The total number of matches
- entryArray of Account or Other
A resource matching the search criteria or related to a matching resource
- resourcerequired, object
Financial-related account information for a patient.
- resourceTyperequired, string
Identifies the type of the resource
Value:Account - statusrequired, string
Indicates whether the account is presently used/usable or not.
Possible Values:active,inactive,entered-in-error,on-hold,unknown - idstring
The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.
- subjectArray of object
Identifies the entity which incurs the expenses. While the immediate recipients of services or goods might be entities related to the subject, the expenses were ultimately incurred by the subject of the Account.
Must reference one of the following types of resources:
PatientDevicePractitionerPractitionerRoleLocationHealthcareServiceOrganization
- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- guarantorArray of object
The parties responsible for balancing the account if other payment options fall short.
- partyrequired, object
The entity who is responsible.
Must reference one of the following types of resources:
PatientRelatedPersonOrganization
- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- extensionArray of guarantorType or Other
May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.
- urlrequired, string
Source of the definition for the extension code - a logical name or a URL.
Value:https://fhir.redoxengine.com/StructureDefinition/account-guarantor-type - valueCodeableConceptobject
Value of extension - must be one of a constrained set of the data types (see Extensibility for a list).
- textstring
A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.
- searchrequired, object
Information about the search process that lead to the creation of this entry.
- moderequired, string
Identifies the Account as matching the search parameters
Value:match
Response to an Account search operation